User Per Flow Capacity Source - Get User Per Flow Capacity Source
Get user per flow capacity source data with pagination and filtering options.
GET https://api.powerplatform.com/licensing/UserPerFlowCapacitySource?startDate={startDate}&api-version=2022-03-01-preview
GET https://api.powerplatform.com/licensing/UserPerFlowCapacitySource?startDate={startDate}&endDate={endDate}&pageNumber={pageNumber}&pageSize={pageSize}&userId={userId}&flowContext={flowContext}&flowLicenseCategorization={flowLicenseCategorization}&resourceId={resourceId}&environmentId={environmentId}&api-version=2022-03-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
|
start
|
query | True |
string (date-time) |
The start date for the query range. |
|
end
|
query |
string (date-time) |
The end date for the query range. Defaults to current UTC time if not provided. |
|
|
environment
|
query |
string (uuid) |
Filter by environment identifier. |
|
|
flow
|
query |
string |
Filter by flow context. |
|
|
flow
|
query |
string |
Filter by flow license categorization. |
|
|
page
|
query |
integer (int32) |
The page number for pagination. |
|
|
page
|
query |
integer (int32) |
The page size for pagination. |
|
|
resource
|
query |
string |
Filter by resource identifier. |
|
|
user
|
query |
string |
Filter by user identifier. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Power |
Success |
| 204 No Content |
No Content |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
|
| 500 Internal Server Error |
Internal Server Error |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Power |
Paginated result container for user per flow capacity source records. |
|
User |
Detailed capacity source record for a specific flow execution. |
PowerPlatformRequestSnapshotResultWithoutPagesUserPerFlowCapacitySourceRecord
Paginated result container for user per flow capacity source records.
| Name | Type | Description |
|---|---|---|
| currentPage |
integer (int32) |
The current page number. |
| records |
Collection of user per flow capacity source records. |
UserPerFlowCapacitySourceRecord
Detailed capacity source record for a specific flow execution.
| Name | Type | Description |
|---|---|---|
| consumptionDate |
string (date-time) |
The date when the consumption occurred. |
| consumptionUnits |
integer (int64) |
The number of consumption units used. |
| environmentId |
string (uuid) |
The environment identifier. |
| flowContext |
string |
The context in which the flow was executed. |
| flowLicenseCategorization |
string |
The license categorization of the flow. |
| resourceId |
string |
The resource identifier. |
| tenantId |
string (uuid) |
The tenant identifier. |
| userId |
string |
The user identifier. |